//************************************************
//		Arenaholica 1 shader file           //
//  contains modified versions of Id shaders    //
//      (c) 1999-2000 Id Software Inc.          //
//************************************************



// Strogg banner from the mapobjects - flag folder

textures/bbq3dm1/banner_strgg
{
	surfaceparm alphashadow
	surfaceparm nolightmap
	sort banner
	cull disable
	deformVertexes wave 100 sin 0 3 0 0.7 
	{
		map models/mapobjects/flag/banner_strgg.tga
		blendfunc blend
		rgbGen Vertex 
		alphaFunc GE128
	}
}


// border7_ceil39 with lower surfacelight

textures/bbq3dm1/bb_border7_ceil39_6k
{
	qer_editorimage textures/gothic_light/border7_ceil39.tga
	q3map_surfacelight 1050
//	light 1
	//surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/border7_ceil39.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/border_ceil39.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

// fog_blue with lower surfacelight

textures/bbq3dm1/bb_bluefog
{
	qer_editorimage textures/sfx/fog_blue.tga
	q3map_lightimage textures/sfx/xbluelightimage.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_nocarve
	q3map_lightsubdivide 64
	q3map_surfacelight 3
	fogparms ( 0.3 0.3 0.9 ) 128
}

// protolava with no surfacelight

textures/bbq3dm1/bb_protolava
{
	qer_editorimage textures/liquids/protolava.tga
	surfaceparm lava
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	q3map_globaltexture
	{
		map textures/liquids/protolava2.tga
		rgbGen identity
		tcMod scale 0.2 0.2
		tcMod scroll 0.04 0.03
		tcMod turb 0 0.1 0 0.01
	}
	{
		map textures/liquids/protolava.tga
		blendfunc blend
		rgbGen identity
		tcMod turb 0 0.2 0 0.1
	}
}




//xflamebright without surfacelight

textures/bbq3dm1/bb_xflamebright
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	deformVertexes autosprite2
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga 
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 10 
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga 
		blendfunc add
		rgbGen wave sawtooth 0 1 0 10 
	}
	{
		map textures/sfx/flameball.tga
		blendfunc add
		rgbGen wave sin 0.6 0.2 0 0.6 
	}
}

//xflamebright with low surface light
textures/bbq3dm1/bb_xflamebright300
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 300
	surfaceparm trans
	cull disable
	deformVertexes autosprite2
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga 
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 10 
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga 
		blendfunc add
		rgbGen wave sawtooth 0 1 0 10 
	}
	{
		map textures/sfx/flameball.tga
		blendfunc add
		rgbGen wave sin 0.6 0.2 0 0.6 
	}
}

//texture for large health sphere

textures/bbq3dm1/bb_healthcirc
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
	  		map textures/effects/envmapblue2.tga
                tcGen environment
                tcmod rotate 33
                tcmod scroll 1 1
		blendfunc GL_ONE GL_ONE
	}
}

//added texture from mapmedia.pk3

textures/bbq3dm1/bb_tongue_bone
{
qer_editorimage textures/bbq3dm1/tongue_bone.tga
	{	
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bbq3dm1/tongue_bone.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bbq3dm1/tongue_bone.blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.2
//		rgbGen wave sin 0.5 0.5 0 0.2
	}
}


textures/sfx/pentagramfloor_red3test
{
	{
		map textures/sfx/pentagramfloor_red3test.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/pentagramfloor_red3glowtest.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 .5	
		depthfunc equal
	}
}